/*--------------------------------------------------------------------------
*
* Filename : ANSI.H
*
* Author : Jim Sloan, Asgard Software
*
* Compiler : Microsoft C 5.1
*
* Description : ANSI X3.4 escape sequence interpretations
*
* Copyright (c) - 1992 - Asgard Software, Jim Sloan. All rights reserved.
*
*--------------------------------------------------------------------------*/


extern int bottom_row;
extern int right_margin;
extern int top_row;
extern int left_margin;

extern int fast_video;

struct attr_bits
{
   unsigned foreground:3;
   unsigned bright:1;
   unsigned background:3;
   unsigned blink:1;
};

union ATTR
{
   struct attr_bits set;
   unsigned char color;
};


extern union ATTR attr;


int ansi_cmd(int ch);
void write_char(int ch, int attr);
void pos_curs(int row, int col);
void scroll_up(int trow, int lcol, int brow, int rcol, int count, int attr);
void scroll_dn(int trow, int lcol, int brow, int rcol, int count, int attr);
void cls(int trow, int lcol, int brow, int rcol, int attr);
void (*send_out)(char *);
